tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Caldarale, Charles R" <Chuck.Caldar...@unisys.com>
Subject RE: Is error with Bamboo Sonar plugin because of Tomcat 6 instead of Tomcat 7?
Date Wed, 16 Jan 2013 18:10:11 GMT
> From: KARR, DAVID [mailto:dk068x@att.com] 
> Subject: Is error with Bamboo Sonar plugin because of Tomcat 6 instead of Tomcat 7?

> We're running Bamboo 3.4.3 in Tomcat 6.0.20.  It mostly apparently works 
> fine, but yesterday I tried to get the Bamboo Sonar plugin working,

Did you leave out "in Tomcat 7" at the end there?

> I notice that it's trying to access something in the "org.apache.tomcat.dbcp.*" 
> package.  I'm pursuing this on the Sonar users list, but I'm wondering whether 
> this might be an issue with Tomcat 6 vs. Tomcat 7.

I haven't looked at the API differences in that package between Tomcat 6 and 7, but changing
the APIs for internal packages between major revisions is quite common.  Likely Bamboo will
need a separate plugin for each major Tomcat level, since there's no guarantee of upward compatibility
for internal interfaces.

 - Chuck 


THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY MATERIAL and is thus
for use only by the intended recipient. If you received this in error, please contact the
sender and delete the e-mail and its attachments from all computers.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message